package intrinsic.mx.containers.utilityClasses;

public class Flex extends Object {

	/** Accessors */

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public Flex() {
}


/** Static Methods */
public static native void distributeExtraHeight(intrinsic.mx.core.Container arg0, double arg1);
public static native double flexChildHeightsProportionally(intrinsic.mx.core.Container arg0, double arg1, double arg2);
public static native void distributeExtraWidth(intrinsic.mx.core.Container arg0, double arg1);
public static native double flexChildWidthsProportionally(intrinsic.mx.core.Container arg0, double arg1, double arg2);
public static native double flexChildrenProportionally(double arg0, double arg1, double arg2, intrinsic.Array arg3);

/** Methods */

}
